Description: build auxiliary programs with standard Debian flags
 Append to CCF and LDF configure variables.
Forwarded: not-needed
Author: Camm Maguire <camm@debian.org>

Index: fricas-1.3.8/config/var-def.mk
===================================================================
--- fricas-1.3.8.orig/config/var-def.mk
+++ fricas-1.3.8/config/var-def.mk
@@ -157,7 +157,7 @@ TMP=$(fricas_builddir)
 VERSION = @PACKAGE_STRING@
 
 CCF=@CCF@
-LDF=-g
+LDF=@LDF@
 
 ## -------------------------------------------
 ## -- Files generated for the build machine --
Index: fricas-1.3.8/configure
===================================================================
--- fricas-1.3.8.orig/configure
+++ fricas-1.3.8/configure
@@ -6410,6 +6410,9 @@ $as_echo "#define MACOSXplatform /**/" >
         ;;
 esac
 
+CCF="$CCF $CPPFLAGS $CFLAGS $LDFLAGS"
+LDF="$LDF $LDFLAGS"
+
 
 
 
Index: fricas-1.3.8/configure.ac
===================================================================
--- fricas-1.3.8.orig/configure.ac
+++ fricas-1.3.8/configure.ac
@@ -778,6 +778,9 @@ case $target in
         ;;
 esac
 
+CCF="$CCF $CPPFLAGS $CFLAGS $LDFLAGS"
+LDF="$LDF $LDFLAGS"
+
 AC_SUBST(CCF)
 AC_SUBST(LDF)
 
Index: fricas-1.3.8/src/graph/view2D/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/graph/view2D/Makefile.in
+++ fricas-1.3.8/src/graph/view2D/Makefile.in
@@ -41,7 +41,7 @@ stamp: $(fricas_target_libdir)/view2D$(E
 	$(STAMP) stamp
 
 $(fricas_target_libdir)/view2D$(EXEEXT): $(view2D_objects) $(view2D_DEPENDENCIES)
-	${CC} $(view2D_objects) $(Gfun_objects) -o $@ \
+	${CC} $(view2D_objects) $(Gfun_objects) ${LDF} -o $@ \
 	    $(view2D_LDADD) $(FRICAS_X11_LDFLAGS) -lm
 
 .PRECIOUS: %.$(OBJEXT)
Index: fricas-1.3.8/src/graph/view3D/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/graph/view3D/Makefile.in
+++ fricas-1.3.8/src/graph/view3D/Makefile.in
@@ -50,7 +50,7 @@ stamp: $(fricas_target_libdir)/view3D$(E
 	$(STAMP) stamp
 
 $(fricas_target_libdir)/view3D$(EXEEXT): $(view3D_objects) $(view3D_DEPENDENCIES)
-	${CC} $(view3D_objects) $(Gfun_objects) -o $@ \
+	${CC} $(view3D_objects) $(Gfun_objects) ${LDF} -o $@ \
 		$(view3D_LDADD) $(FRICAS_X11_LDFLAGS) -lm
 
 .PRECIOUS: %.$(OBJEXT)
Index: fricas-1.3.8/src/graph/viewAlone/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/graph/viewAlone/Makefile.in
+++ fricas-1.3.8/src/graph/viewAlone/Makefile.in
@@ -36,7 +36,7 @@ stamp: $(fricas_target_bindir)/viewAlone
 
 $(fricas_target_bindir)/viewAlone$(EXEEXT): $(viewAlone_objects) \
 		 $(viewAlone_DEPENDENCIES)
-	${CC} $(viewAlone_objects) -o $@ $(viewAlone_LDADD) \
+	${CC} $(viewAlone_objects) ${LDF} -o $@ $(viewAlone_LDADD) \
 		$(FRICAS_X11_LDFLAGS)
 
 .PRECIOUS: %.$(OBJEXT)
Index: fricas-1.3.8/src/graph/viewman/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/graph/viewman/Makefile.in
+++ fricas-1.3.8/src/graph/viewman/Makefile.in
@@ -47,7 +47,7 @@ stamp: $(fricas_target_libdir)/viewman$(
 	$(CC) $(CFLAGS) $(FRICAS_CFLAGS) -c -o $@ $<
 
 $(fricas_target_libdir)/viewman$(EXEEXT): $(viewman_objects) $(viewman_DEPENDENCIES)
-	${CC} $(viewman_objects) -o $@ $(viewman_LDFLAGS) \
+	${CC} $(viewman_objects) ${LDF} -o $@ $(viewman_LDFLAGS) \
 		$(FRICAS_X11_LDFLAGS)
 
 mostlyclean-local:
Index: fricas-1.3.8/src/hyper/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/hyper/Makefile.in
+++ fricas-1.3.8/src/hyper/Makefile.in
@@ -94,16 +94,16 @@ ${OUTLIB}/presea: $(srcdir)/presea.in
 	chmod a+x $@
 
 ${OUTLIB}/ex2ht$(EXEEXT): $(ex2ht_objects) $(ex2ht_DEPENDENCIES)
-	${CC} $(ex2ht_objects) -o $@ $(ex2ht_LDADD) $(FRICAS_X11_LDFLAGS) -lm
+	${CC} $(ex2ht_objects) ${LDF} -o $@ $(ex2ht_LDADD) $(FRICAS_X11_LDFLAGS) -lm
 
 $(fricas_target_bindir)/htadd$(EXEEXT): $(htadd_objects) $(htadd_DEPENDENCIES)
-	${CC} $(htadd_objects) -o $@ $(htadd_LDADD) $(FRICAS_X11_LDFLAGS) -lm
+	${CC} $(htadd_objects) ${LDF} -o $@ $(htadd_LDADD) $(FRICAS_X11_LDFLAGS) -lm
 
 ${OUTLIB}/hthits$(EXEEXT): $(hthits_objects) $(hthits_DEPENDENCIES)
-	${CC} $(hthits_objects) -o $@ $(hthits_LDADD) $(FRICAS_X11_LDFLAGS) -lm
+	${CC} $(hthits_objects) ${LDF} -o $@ $(hthits_LDADD) $(FRICAS_X11_LDFLAGS) -lm
 
 
 $(fricas_target_bindir)/hypertex$(EXEEXT): $(hypertex_objects) $(hypertex_DEPENDENCIES)
-	 ${CC} -g $(hypertex_objects) -o $@ $(hypertex_LDADD) \
+	 ${CC} -g $(hypertex_objects) ${LDF} -o $@ $(hypertex_LDADD) \
 		$(FRICAS_X11_LDFLAGS) -lm
 
